Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote
Class RuntimeViewRowSetIteratorInfo

`java.lang.Object
oracle.jbo.server.remote.RuntimeViewRowSetIteratorInfo`

All Implemented Interfaces:
  DataCollector, java.util.EventListener, Marshallable, RowNavigationListener, RowSetListener, RowSetManagementListener

public class RuntimeViewRowSetIteratorInfo
extends java.lang.Object
implements RowSetListener, RowSetManagementListener, Marshallable, DataCollector

Store and maintain information about a RowSetIterator used by the Client Services.

Version:
  INTERNAL

Constructor Summary
`RuntimeViewRowSetIteratorInfo(PiggybackManager mgr, RowSetIterator rView)` Construct the class for a ViewRowSetIteratorImpl.

Method Summary
`void` | `addEntry(java.io.Serializable ent)`
`void` | `addException(java.lang.Exception e)`
`java.lang.Object` | `collectDataRows(AccTravDef accTravDef, int accTravLimit, boolean executeQueryForce)`
`Row` | `getRowAtRangeIndex(int rowIndex)`
`Row` | `getRowFromHandle(java.lang.Object hdl)`
`Row` | `getRowFromKey(java.lang.Object[] rowFilterValues, Key key, java.lang.Object hdl)`
`RowSetIterator` | `getRowSetIterator()` Return the RowSetIterator this class is maintaining.
`boolean` | `isForOneRow()`
`boolean` | `isRefreshCache()`
`boolean` | `isSuppressPiggyback()`
`void` | `iteratorClosed(RowSetManagementEvent event)` Invoked when the row set is closed.
`void` | `iteratorReset(RowSetManagementEvent event)` Invoked when the row set is reset.
`void` | `marshalled()`
`void` | `navigated(NavigationEvent event)` Invoked when the current-row designation changes.
`boolean` | `processChanges(RequestParams svcMsgReq)` Read the piggyback information coming from the client and apply it to the ViewRowSetIteratorImpl.
`void` | `rangeRefreshed(RangeRefreshEvent event)` Invoked when the range changes.
`void` | `rangeScrolled(ScrollEvent event)` Invoked when the range is scrolled.
`void` | `refreshCache()`
`void` | `rowDeleted(DeleteEvent event)` Invoked when a row has been deleted.
`void` | `rowInserted(InsertEvent event)` Invoked when a row has been inserted.
`void` | `rowUpdated(UpdateEvent event)` Invoked when an attribute of the row has been changed.
`void` | `setForOneRow(boolean b)`
`void` | `setIteratorId(int rsiId)`
`void` | `setRefreshCache(boolean b)`
`void` | `setSuppressPiggyback(boolean b)`
`boolean` | `syncIterator(RequestParams svcMsgReq, com.sun.java.util.collections.HashMap rowHandleMap)`
`void` | `unMarshalled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeViewRowSetIteratorInfo

    public RuntimeViewRowSetIteratorInfo(PiggybackManager mgr,
                                         RowSetIterator rView)

  Construct the class for a ViewRowSetIteratorImpl. No column information is specified.
Parameters:
  `rView` - the ViewRowSetIteratorImpl for this class

Method Detail

### isRefreshCache

    public boolean isRefreshCache()

### setRefreshCache

    public void setRefreshCache(boolean b)

### setSuppressPiggyback

    public void setSuppressPiggyback(boolean b)

### isSuppressPiggyback

    public boolean isSuppressPiggyback()

### setIteratorId

    public void setIteratorId(int rsiId)

### addEntry

    public void addEntry(java.io.Serializable ent)

### processChanges

    public boolean processChanges(RequestParams svcMsgReq)

  Read the piggyback information coming from the client and apply it to the ViewRowSetIteratorImpl.
  Parameters:
    `svcMsgReq` - the piggyback entry to apply the the ViewRowSetIteratorImpl

### getRowFromKey

    public Row getRowFromKey(java.lang.Object[] rowFilterValues,
                             Key key,
                             java.lang.Object hdl)

### getRowAtRangeIndex

    public Row getRowAtRangeIndex(int rowIndex)

### getRowFromHandle

    public Row getRowFromHandle(java.lang.Object hdl)

### syncIterator

    public boolean syncIterator(RequestParams svcMsgReq,
                                com.sun.java.util.collections.HashMap rowHandleMap)

### getRowSetIterator

    public RowSetIterator getRowSetIterator()

  Return the RowSetIterator this class is maintaining.
  Specified by:
    `getRowSetIterator` in interface `DataCollector`

### addException

    public void addException(java.lang.Exception e)

### refreshCache

    public void refreshCache()

### rangeRefreshed

    public void rangeRefreshed(RangeRefreshEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the range changes.
  Specified by:
    `rangeRefreshed` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new ranges.

### rangeScrolled

    public void rangeScrolled(ScrollEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the range is scrolled.
  Specified by:
    `rangeScrolled` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new range.

### rowUpdated

    public void rowUpdated(UpdateEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when an attribute of the row has been changed.
  Specified by:
    `rowUpdated` in interface `RowSetListener`
  Parameters:
    `event` - a description of the modified Row object.

### navigated

    public void navigated(NavigationEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the current-row designation changes.
  Specified by:
    `navigated` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new and previous current rows.

### rowDeleted

    public void rowDeleted(DeleteEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when a row has been deleted.
  Specified by:
    `rowDeleted` in interface `RowSetListener`
  Parameters:
    `event` - a description of the deleted Row object.

### rowInserted

    public void rowInserted(InsertEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when a row has been inserted.
  Specified by:
    `rowInserted` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new Row object.

### iteratorReset

    public void iteratorReset(RowSetManagementEvent event)

  Description copied from interface: `RowSetManagementListener`
  Invoked when the row set is reset.
  Specified by:
    `iteratorReset` in interface `RowSetManagementListener`
  Parameters:
    `event` - a description of the event.

### iteratorClosed

    public void iteratorClosed(RowSetManagementEvent event)

  Description copied from interface: `RowSetManagementListener`
  Invoked when the row set is closed.
  Specified by:
    `iteratorClosed` in interface `RowSetManagementListener`
  Parameters:
    `event` - a description of the event.

### unMarshalled

    public void unMarshalled()

  Specified by:
    `unMarshalled` in interface `Marshallable`

### marshalled

    public void marshalled()

  Specified by:
    `marshalled` in interface `Marshallable`

### collectDataRows

    public java.lang.Object collectDataRows(AccTravDef accTravDef,
                                            int accTravLimit,
                                            boolean executeQueryForce)

  Specified by:
    `collectDataRows` in interface `DataCollector`

### isForOneRow

    public boolean isForOneRow()

  Specified by:
    `isForOneRow` in interface `DataCollector`

### setForOneRow

    public void setForOneRow(boolean b)

  Specified by:
    `setForOneRow` in interface `DataCollector`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.